> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/database-registration/schema-connection.md).

# Schema Connection

Management of schema connections.

## List schema connections

> Returns a list of available schema connections, which can be used to define metadata synchronization configurations\
> for schemas. The response includes connections with deleted schemas in both Collibra and the data source.\
> Non-synchronized or Deleted schema connections can be identified by the absence of the schemaId parameter in the response.\
> \
> This API only returns the connections that have already been synchronized with the catalog.\
> If a specific schema connection is missing, you can call the \*/schemaConnections/refresh\* API to synchronize\
> the schema connections available in Catalog with the data source.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Schema Connection","description":"Management of schema connections."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"DatabaseConnectionId":{"name":"databaseConnectionId","in":"query","description":"The ID of the database connection.","required":false,"schema":{"type":"string","format":"uuid"}},"SchemaId":{"name":"schemaId","in":"query","description":"The ID of the Schema asset.","required":false,"schema":{"type":"string","format":"uuid"}},"Offset":{"name":"offset","in":"query","description":"The index of the first result to retrieve.\n\nIf not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = <code>0</code>) will be used. The maximum value for this parameter is\n<code>500<code>.\n","schema":{"type":"integer","format":"int32","default":0,"maximum":500}}},"schemas":{"SchemaConnectionPagedResponse":{"type":"object","properties":{"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/SchemaConnection"}}}},"SchemaConnection":{"type":"object","description":"The connection reference to the specific schema.","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the schema connection."},"name":{"type":"string","description":"The exact name of a schema read from the source."},"databaseConnectionId":{"type":"string","format":"uuid","description":"The ID of the database connection."},"schemaId":{"type":"string","format":"uuid","description":"The ID of the Schema asset linked with this schema connection."}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/schemaConnections":{"get":{"parameters":[{"$ref":"#/components/parameters/DatabaseConnectionId"},{"$ref":"#/components/parameters/SchemaId"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"summary":"List schema connections","description":"Returns a list of available schema connections, which can be used to define metadata synchronization configurations\nfor schemas. The response includes connections with deleted schemas in both Collibra and the data source.\nNon-synchronized or Deleted schema connections can be identified by the absence of the schemaId parameter in the response.\n\nThis API only returns the connections that have already been synchronized with the catalog.\nIf a specific schema connection is missing, you can call the */schemaConnections/refresh* API to synchronize\nthe schema connections available in Catalog with the data source.\n","operationId":"findSchemaConnections","tags":["Schema Connection"],"responses":{"200":{"description":"Schema connections successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaConnectionPagedResponse"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"}}}}}}
```

## Retrieve a schema connection

> Returns a specific schema connection, even if it has been deleted in Collibra or the data source. Non-synchronized or Deleted schema connections can be identified by the absence of the schemaId parameter in the response.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Schema Connection","description":"Management of schema connections."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"SchemaConnectionIdInPath":{"name":"schemaConnectionId","in":"path","description":"The ID of the schema connection.","required":true,"schema":{"type":"string","format":"uuid"}}},"responses":{"SchemaConnectionResponse":{"description":"Represents a schema connection.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaConnection"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"SchemaConnection":{"type":"object","description":"The connection reference to the specific schema.","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the schema connection."},"name":{"type":"string","description":"The exact name of a schema read from the source."},"databaseConnectionId":{"type":"string","format":"uuid","description":"The ID of the database connection."},"schemaId":{"type":"string","format":"uuid","description":"The ID of the Schema asset linked with this schema connection."}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}},"paths":{"/schemaConnections/{schemaConnectionId}":{"get":{"summary":"Retrieve a schema connection","description":"Returns a specific schema connection, even if it has been deleted in Collibra or the data source. Non-synchronized or Deleted schema connections can be identified by the absence of the schemaId parameter in the response.","operationId":"getSchemaConnection","parameters":[{"$ref":"#/components/parameters/SchemaConnectionIdInPath"}],"tags":["Schema Connection"],"responses":{"200":{"$ref":"#/components/responses/SchemaConnectionResponse"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## Refresh schema connections from the data source

> Refresh the schema connections for a given database connection.\
> \
> This is an \*asynchronous API\* since it needs to reach out to the data source via Edge to retrieve the list of\
> available schema connections , which can take some time.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Database Registration API","version":"1.6.0"},"tags":[{"name":"Schema Connection","description":"Management of schema connections."}],"servers":[{"url":"/rest/catalogDatabase/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"DatabaseConnectionIdMandatory":{"name":"databaseConnectionId","in":"query","description":"The ID of the database connection.","required":true,"schema":{"type":"string","format":"uuid"}}},"responses":{"SchemaConnectionsSynchronizationStartedResponse":{"description":"The schema connections synchronization job has started.","headers":{"Location":{"description":"Reference to the Job Details GET API that you can use to track the progress of the job.","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of this resource, i.e. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].\n","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously."},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}},"paths":{"/schemaConnections/refresh":{"post":{"parameters":[{"$ref":"#/components/parameters/DatabaseConnectionIdMandatory"}],"summary":"Refresh schema connections from the data source","description":"Refresh the schema connections for a given database connection.\n\nThis is an *asynchronous API* since it needs to reach out to the data source via Edge to retrieve the list of\navailable schema connections , which can take some time.\n","operationId":"refreshSchemaConnections","tags":["Schema Connection"],"responses":{"202":{"$ref":"#/components/responses/SchemaConnectionsSynchronizationStartedResponse"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/database-registration/schema-connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
